Subject: Re: [CODE4LIB] Mime type for PHP serialized objects

From: Andrew Nagy <[email-masked]>
Date: Mon, 26 Jan 2009 17:42:17 -0500

I've used "application/x-php" in the past.  I wouldn't really worry about it
though if you are build the server and the client.  The mime type doesn't
make that much difference.  You could even just use "text/plain".

Andrew

On Tue, Dec 30, 2008 at 1:55 PM, Cloutman, David
<[email-masked]>wrote:

> I have a quick question for any PHP developers out there.
>
> I am writing a SOA application to manage my library's events calendar.
> The basic idea is to create a public API that our web site or other
> community organizations can use to query and consume information. I am
> using JSON as the default output for information, but would like to add
> the option of outputting native serialized PHP data structures as
> created by the serialized() function.
>
> My question is, what mime type should I use for serialized PHP data? The
> best suggestion I saw through Google was application/vnd.php.serialized,
> which was posted as a proposal. I don't know if any standard was adopted
> though. Has anyone else thought about this issue?
>
> - David
>
>
>
> ---
> David Cloutman <[email-masked]>
> Electronic Services Librarian
> Marin County Free Library
>
> Email Disclaimer: http://www.co.marin.ca.us/nav/misc/EmailDisclaimer.cfm
>

---

From: Andrew Nagy <[email-masked]>
Date: Mon, 26 Jan 2009 17:42:17 -0500

Correction - "text/x-php" - but again - I don't think it will make any
effect on you.

Andrew

On Tue, Dec 30, 2008 at 3:16 PM, Andrew Nagy <[email-masked]> wrote:

> I've used "application/x-php" in the past.  I wouldn't really worry about
> it though if you are build the server and the client.  The mime type doesn't
> On Tue, Dec 30, 2008 at 1:55 PM, Cloutman, David <[email-masked]
> > wrote:
>